[libvirt PATCH 08/12] ci: jobs: run_integration: Make POSIX-compliant

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Neither '&>' nor 'source' are defined in POSIX.

Signed-off-by: Erik Skultety <eskultet@xxxxxxxxxx>
---
 ci/jobs.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/ci/jobs.sh b/ci/jobs.sh
index 37bca452fa..f4e83dda2e 100644
--- a/ci/jobs.sh
+++ b/ci/jobs.sh
@@ -91,7 +91,7 @@ run_integration() {
     sudo systemctl daemon-reexec
 
     # Source the os-release file to query the vendor-provided variables
-    source /etc/os-release
+    . /etc/os-release
     if test "$ID" = "centos" && test "$VERSION_ID" -eq 8
     then
         DAEMONS="libvirtd virtlockd virtlogd"
@@ -102,8 +102,8 @@ run_integration() {
     do
         LOG_OUTPUTS="1:file:/var/log/libvirt/${daemon}.log"
         LOG_FILTERS="3:remote 4:event 3:util.json 3:util.object 3:util.dbus 3:util.netlink 3:node_device 3:rpc 3:access 1:*"
-        sudo augtool set /files/etc/libvirt/${daemon}.conf/log_filters "'$LOG_FILTERS'" &>/dev/null
-        sudo augtool set /files/etc/libvirt/${daemon}.conf/log_outputs "'$LOG_OUTPUTS'" &>/dev/null
+        sudo augtool set /files/etc/libvirt/${daemon}.conf/log_filters "'$LOG_FILTERS'" 2>/dev/null 1>&2
+        sudo augtool set /files/etc/libvirt/${daemon}.conf/log_outputs "'$LOG_OUTPUTS'" 2>/dev/null 1>&2
         sudo systemctl --quiet stop ${daemon}.service
         sudo systemctl restart ${daemon}.socket
     done
@@ -113,7 +113,7 @@ run_integration() {
     # Shell scripts with -e by default and virsh returns an error if one tries
     # to start a machine/network that is already active which is both fine and
     # should also be a non-fatal error
-    sudo virsh --quiet net-start default &>/dev/null || true
+    sudo virsh --quiet net-start default 2>/dev/null 1>&2 || true
 
     cd "$SCRATCH_DIR"
     git clone --depth 1 https://gitlab.com/libvirt/libvirt-tck.git
-- 
2.41.0




[Index of Archives]     [Virt Tools]     [Libvirt Users]     [Lib OS Info]     [Fedora Users]     [Fedora Desktop]     [Fedora SELinux]     [Big List of Linux Books]     [Yosemite News]     [KDE Users]     [Fedora Tools]

  Powered by Linux